Subject: Re: dzisiejsze spotkanie
From: Michal H Siemaszko <[email-masked]>
To: ADP POLAND PIOTR DOBRZANSKI <[email-masked]>
Cc: [email-masked], Aleksandra Zdybel <[email-masked]>
Date: Sun, 18 Sep 2011 04:58:17 +0200

Piotr,

C.d. spraw z serwerem .. Kończyłem właśnie instalować narzędzia 
wspomagające / automatyzujące dla projektu.. i chciałem Cię prosić o 
sprawdzenie i skonfigurowanie następujących (mówiłeś przez telefon żeby 
puścić Ci maila, akurat mówiliśmy wtedy o port forwarding tylko, ale 
doszły jeszcze dwie sprawy, mianowicie serwer mail i automatyzacja 
backupów)..

(1) serwer email - widzę że postfix jest uruchomiony ale nie nasłuchuje 
na porcie 25
    (a) serwer email musi działać i być dostępny dla aplikacji i 
narzędzi wspomagających
    (b) adres [email-masked]' musi być założony 
(konto lub alias)

(2) port forwarding - potrzeba ustawić dla następujących:
    (a) http://83.3.8.122 wskazuje na stronę Bresco Consulting zamiast 
na instalacje Apache @ http://10.0.0.10
    (b) Apache Tomcat (serwer aplikacji Java EE) - jest uruchomiony @ 
http://10.0.0.10:8081 - powinien być widoczny "na zewnątrz"
    (c) Hudson (serwer ciągłej integracji) - jest uruchomiony @ 
http://10.0.0.10:8082 - powinien być widoczny "na zewnątrz"
    (d) Redmine (narzędzie do zarządzania projektem, śledzenia zadań i 
czasu wykonania, śledzenia błędów, wiki i przeglądarka repozytorium w 
jednym) - jest uruchomione @ http://10.0.0.10/redmine - powinno 
być widoczne "na zewnątrz"

Przy okazji, chciałem spytać, bo możliwe że jest to już zrobione, ale 
jeśli nie, należy ustawić automatyczne backupy - bazy danych i wybranych 
folderów, najlepiej żeby co noc się uruchamiało.

Będę dzwonił jeszcze dziś, mam nadzieję że to nie problem (jest 
niedziela) ale muszę z jutrem (poniedziałek) potwierdzić na 150%.. 
Bardzo mi zależy aby ten etap w końcu zamknąć, rozliczyć się i zacząć 
już w zespole pracować.. Pełnienie roli administratora, analityka, 
architekta, starszego dewelopera i zarządzającego projektem w jednej 
osobie jest fascynujące ale warunkiem jest rozliczenie mojej pracy :)

Pozdrawiam,
Michał

p.s. Na następne spotkanie (po poniedziałku) będzie już na prawdę 
potrzebny ten tablet dla Mariusza - makiety interfejsu które tworzył 
dotychczas są w formie papierowej, a na potrzeby projektu (i wspólpracy 
zdalnej w zespole) muszą być koniecznie w formie elektronicznej, dlatego 
jeśli jeszcze go nie ma zainstalowanego, bardzo Cię proszę aby podłączyć 
ten tablet Mariuszowi.

On 9/16/11 11:18 AM, Michal H Siemaszko wrote:
> Witam,
>
> Jako że ostatnie dwa spotkania nam minęły, przesyłam w załączniku 
> aplikację demo którą chciałem Wam pokazać.
>
> Nie chciałbym być blokowany z niczym, zwłaszcza że (a) na tym etapie, 
> robię robotę kilku osób tak na prawdę (b) etap miał być zamknięty i 
> praca zespołowa rozpoczęta i (c) miałem się rozliczyć z Mariuszem. 
> Dlatego proszę uprzejmie Piotra o zapoznanie się z aplikacją.
> Niestety, serwer / środowisko nie jest dostępne, więc mojej pracy nie 
> mogłem wykonać należycie - wszystko na szczęście lokalnie robię i 
> dopiero przetestowane / dopracowane wrzucam, ale w tej sytuacji nawet 
> nie ma jak wrzucić..
>
> Pilnie potrzebuję rozstrzygnąć w dniu dzisiejszym sprawy akceptacji 
> moich prac oraz planowanej wypłaty.. nie wspominając o modelu 
> współpracy.. muszę po prostu wiedzieć na czym stoje. Zdaje sobie 
> doskonale sprawę, że wszelkie ewentualne obawy Mariusza wynikają z 
> dotychczasowych "przygód" przy stworzeniu tej aplikacji, ale mam 
> nadzieję że to demo, to co przesłałem Piotrowi ostatnio oraz to co 
> czeka w kolejce gdy tylko nasze środowisko / serwer będzie działać, 
> rozwieją je i będziemy mogli już bez nerwów współpracować dalej..
> Z mojej strony nerwy biorą się przede wszystkim ze "straszenia" 
> odnośnie wypłacenia / niewypłacenia pieniędzy -- ale to już sprawa 
> przez telefon do wyjaśnienia..
>
> Proszę o kontakt.
>
> Poniżej instrukcje uruchomienia załączonego dema.
>
> URUCHOMIENIE APLIKACJI DEMO - INSTRUKCJE
>
>  - instalujesz (jeśli nie masz)
>    * Java JDK 6
>    * Maven (http://maven.apache.org/)
>
>  - uruchamiasz shell'a, rozpakowujesz archiwum z załącznika, wchodzisz 
> do folderu gdzie rozpakowałeś i odpalasz aplikację (wszystkie 
> zależności potrzebne zostaną ściągnięte przy odpalaniu, dlatego musisz 
> być do sieci podłączony)
>
>    'mvn jetty:run' (komenda - bez cudzysłowiu - powodująca 
> uruchomienie na zagnieżdżonym serwerze aplikacji Jetty)
>
>    LUB (bez znaczenia na którym, choć jeden jest trochę szybszy od 
> drugiego)
>
>    'mvn tomcat:run' (uruchomienie na zagnieżdżonym serwerze aplikacji 
> Tomcat)
>
>  - po uruchomieniu, aplikacja jest dostępna pod adresem: 
> http://0.0.0.0:8080/hourlyrental/
>
>  - na potrzeby demo (żeby było łatwiej zainstalować i uruchomić), 
> aplikacja korzysta z zagnieżdżonej bazy danych HSQL i nie posiada 
> zabezpieczenia hasłem panelu administracyjnego
>
>  - projekt ma wszystkie potrzebne pliki aby zaimportować go do 
> Eclipse'a, więc możesz zaimportować i przejrzeć kod źródłowy jeśli chcesz
>
>
> Pozdrawiam,
> Michał
>
> On 9/15/11 10:08 AM, Michal H Siemaszko wrote:
>> Hej,
>> Czy macie dziś czas po 18tej? Chciałem w końcu demko przedstawić i 
>> omówić parę kwestii - agendę uaktualniłem @ 
>> https://bresco.kanbantool.com/boards/9827-spotkanie
>>
>> Pozdrawiam,
>> Michał
>>
>> p.s. Piotr: daj proszę znać jak z ssh będzie ok.
>>
>